## katapult-trinity 14.0.6

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( katapult )
set( VERSION R14.0.6 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )
tde_conditional_add_subdirectory( BUILD_DOC doc         )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== katapult/common/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### katapult (shared)

tde_add_library( ${PROJECT_NAME} SHARED AUTOMOC

  SOURCES
        imagedisplaysettings.ui
        katapultitem.cpp
        katapultaction.cpp
        actionregistry.cpp
        katapultcatalog.cpp
        cachedcatalog.cpp
        match.cpp
        katapultdisplay.cpp
        imagedisplay.cpp   
  VERSION 2.0.0
  LINK
     tdecore-shared
     tdeui-shared

  DESTINATION ${LIB_INSTALL_DIR}
)


##### other data

install(
    FILES katapultcatalog.desktop katapultdisplay.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
)

=== katapult/katapult/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### katapult (executable)

tde_add_executable( ${PROJECT_NAME} AUTOMOC

  SOURCES
        confgeneral.ui
        confcatalogs.ui
        confdisplay.ui
        main.cpp
        katapult.cpp
        katapultsettings.cpp
        katapultconfigdlg.cpp
        katapultiface.skel
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${PROJECT_NAME}-shared
     
  DESTINATION ${BIN_INSTALL_DIR}
)


##### icons

tde_install_icons( ${PROJECT_NAME} )


##### other data

install(
    FILES ${PROJECT_NAME}.desktop
    DESTINATION ${XDG_APPS_INSTALL_DIR}
)

=== katapult/plugins/catalogs/calculatorcatalog/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### katapult_calculatorcatalog (kpart)

tde_add_kpart( katapult_calculatorcatalog AUTOMOC

  SOURCES
        settings.ui
        calculatorcatalog.cpp
        expression.cpp
        actionevalexpr.cpp
        parser.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${PROJECT_NAME}-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons

tde_install_icons( xcalc checkmark no )


##### other data

install(
    FILES katapult_calculatorcatalog.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== katapult/plugins/catalogs/documentcatalog/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### katapult_documentcatalog (kpart)

tde_add_kpart( katapult_documentcatalog AUTOMOC

  SOURCES
        settings.ui
        documentcatalog.cpp
        directory.cpp
        document.cpp
        actionopendocument.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${PROJECT_NAME}-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

install(
    FILES katapult_documentcatalog.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== katapult/plugins/catalogs/googlecatalog/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### katapult_googlecatalog (kpart)

tde_add_kpart( katapult_googlecatalog AUTOMOC

  SOURCES
        settings.ui
        googlecatalog.cpp
        query.cpp
        actionsearch.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${PROJECT_NAME}-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

install(
    FILES katapult_googlecatalog.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

=== katapult/plugins/display/glassdisplay/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### katapult_glassdisplay (kpart)

tde_add_kpart( katapult_glassdisplay AUTOMOC

  SOURCES
        glassdisplay.cpp
  LINK
     tdecore-shared
     tdeui-shared
     ${PROJECT_NAME}-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

install(
    FILES katapult_glassdisplay.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

## katapult-trinity 3.5.13.2

=== debian/changelog ===
katapult-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 00:25:18 +0200

katapult-trinity (0.3.2.1~0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

katapult-trinity (0.3.2.1~0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

katapult-trinity (0.3.2.1~0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 11 Dec 2008 16:43:00 -0600

katapult (0.3.2.1-3) unstable; urgency=low

  * Updated Slovak Translation .po (Closes: #441628)
  * Added patch to make katapult link against QT
  * Updated Rules for ability to build with dash (Closes: #459167)
  * Bumped Standards Version
  * Added Patch to fix issues with MySQL 5 BC Breaks

 -- Martin Meredith <mez@ubuntu.com>  Mon, 10 Mar 2008 16:41:04 +0000

katapult (0.3.2.1-2) unstable; urgency=low

  * Merged in ubuntu Changes (outline below)

 -- Martin Meredith <mez@ubuntu.com>  Mon, 23 Jul 2007 08:22:14 +0100

katapult (0.3.2.1-1ubuntu2) gutsy; urgency=low

  * Fix Fix ftbfs, bad version uploaded

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 19 Jul 2007 20:36:32 +0200

katapult (0.3.2.1-1ubuntu1) gutsy; urgency=low

  * Dont install the autostart desktop file. Causes katapult to show at
    every boot, so well use ksmserver instead for silent startup.

 -- Anthony Mercatante <tonio@ubuntu.com>  Thu, 19 Jul 2007 10:23:35 +0200

katapult (0.3.2.1-1) unstable; urgency=low

  * New Upstream Release

 -- Martin Meredith <mez@ubuntu.com>  Sun, 01 Jul 2007 22:12:51 +0100

katapult (0.3.2.1-0ubuntu1) gutsy; urgency=low

  * New Upstream Release

 -- Martin Meredith <mez@ubuntu.com>  Sun, 01 Jul 2007 22:12:35 +0100

katapult (0.3.2-1) unstable; urgency=low

  * New Upstream Release
  * Fixed Localisation Issues (Closes: #352681)

 -- Martin Meredith <mez@ubuntu.com>  Sun, 01 Jul 2007 21:30:09 +0100

katapult (0.3.2-0ubuntu1) gutsy; urgency=low

  * New Upstream Release

 -- Martin Meredith <mez@ubuntu.com>  Sun, 01 Jul 2007 21:29:57 +0100

katapult (0.3.1.4-0ubuntu6) gutsy; urgency=low

  * Add kubuntu_01_clean_SQL.patch
    Fixes LP: #120575

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 29 Jun 2007 17:25:09 +0200

katapult (0.3.1.4-0ubuntu5) feisty; urgency=low

  * Switch back to ksmserver autostart, since/usr/bin/autostart
    let katapult appear on screen at every boot.

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 20 Jan 2007 08:42:27 +0100

katapult (0.3.1.4-0ubuntu4) feisty; urgency=low

  * Changed debian/rules, install autostart file in
    /usr/share/autostart

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 20 Jan 2007 01:27:32 +0100

katapult (0.3.1.4-0ubuntu3) feisty; urgency=low

  * debian/control: Update upstream URL.
  * debian/copyright: Correct misspelling of upstream authors.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 15 Jan 2007 12:54:56 -0500

katapult (0.3.1.4-0ubuntu2) feisty; urgency=low

  * Fixed source package diff.

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue,  7 Nov 2006 10:39:26 -0800

katapult (0.3.1.4-0ubuntu1) feisty; urgency=low

  * New upstream release
  * Removed all obsolete patches

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon,  6 Nov 2006 14:06:26 -0800

katapult (0.3.1.3-0ubuntu5) edgy; urgency=low

  * Add kubuntu_06_amarok_14.diff closes 60136
  * Add kubuntu_07_work_with_non_english.diff closes 48103
  * Add build-dep on sharutils

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 22 Oct 2006 14:51:54 +0100

katapult (0.3.1.3-0ubuntu4) edgy; urgency=low

  * Set .pot name in debian/rules

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun,  1 Oct 2006 13:02:12 +0100

katapult (0.3.1.3-0ubuntu3) edgy; urgency=low

  * Add kubuntu_05_fix_doublebackspace.diff, fixes Malone 

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 27 Sep 2006 22:03:02 +0200

katapult (0.3.1.3-0ubuntu2) edgy; urgency=low

  * Add kubuntu_03_spellingcatalog.diff.uu and kubuntu_04_spellingcatalog_default.diff 
    to add back missing spelling catalogue

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 18 Sep 2006 13:53:26 +0100

katapult (0.3.1.3-0ubuntu1) edgy; urgency=low

  * New upstream release (closing #58178 and #56918)
  * Tarball rebuilt for modern "admin" folder since buildprep is used
    due to Makefile.am addition by patch kubuntu_01_o2display.diff and
    current admin folder is uncompatible with autoconf 2.60

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 30 Aug 2006 13:20:02 +0200

katapult (0.3.1.2svn20060711-0ubuntu2) edgy; urgency=low

  * Add kubuntu_01_o2display.diff with new look by Ken Wimer
  * Add kubuntu_02_text_colours.diff with new text colours by Ken Wimer

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Aug 2006 18:26:02 +0100

katapult (0.3.1.2svn20060711-0ubuntu1) edgy; urgency=low

  * New snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 11 Jul 2006 15:36:09 +0000

katapult (0.3.1.2-0ubuntu4) dapper; urgency=low

  * Rebuild to use dh_iconcache. 

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 18 May 2006 15:08:05 +0200

katapult (0.3.1.2-0ubuntu3) dapper; urgency=low

  [ Martin Meredith ]
  * Add patch kubuntu_01_amarok_mysql.diff
    allows Amarok plugin to work when Amarok is using mysql

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 13 May 2006 13:25:57 +0300

katapult (0.3.1.2-0ubuntu2) dapper; urgency=low

  * Updated Control to list correct homepage

 -- Martin Meredith <mez@ubuntu.com>  Fri, 10 Mar 2006 13:45:03 +0000

katapult (0.3.1.2-0ubuntu1) dapper; urgency=low

  * New Upstream Version

 -- Martin Meredith <mez@ubuntu.com>  Mon,  6 Mar 2006 19:37:07 +0000

katapult (0.3.1.1-1) unstable; urgency=low

  * New Upstream Version
  * Removed patches - incorporated into upstream


=== debian/control ===
Source: katapult-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: cdbs (>= 0.4.46ubuntu5), debhelper (>= 5.0.0), quilt, kdelibs4-trinity-dev, docbook2x, libxi-dev, sharutils, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: katapult-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: katapult-kde3 (<< 4:3.5.13)
Breaks: katapult-kde3 (<< 4:3.5.13)
Description: item launcher for KDE [Trinity]
 Katapult is an application, which analyses text-based queries
 to launch items, such as bookmarks, directories or programs.
 .
 The application is currently in an early stage of development but 
 the launchable item list can be extended by a plugin system, and
 the look and feel can be skinned.
 .
 Homepage:  http://katapult.kde.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

export KUBUNTU_DESKTOP_POT=extragear-utils_katapult
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

cleanbuilddir/katapult-trinity::
	rm -f katapult.1

build/katapult-trinity::
	docbook2x-man debian/katapult.1.docbook

DEB_INSTALL_MANPAGES_katapult-trinity = katapult.1

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
		cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/katapult-trinity::
	rm -f $(CURDIR)/debian/katapult-trinity/opt/trinity/lib/libkatapult*.so
	rm -f $(CURDIR)/debian/katapult-trinity/opt/trinity/lib/libkatapult*.la
	dh_install $(DEB_SRCDIR)/debian/lintian opt/trinity/share/lintian/overrides/katapult
#	dh_install $(DEB_SRCDIR)/katapult/katapult/katapult.desktop opt/trinity/share/autostart
#	echo 'X-KDE-autostart-condition=katapultrc:General:Autostart:true' >> $(DEB_DESTDIR)/opt/trinity/share/autostart/katapult.desktop

binary-install/katapult-trinity::
	mv debian/katapult-trinity/usr/share/man debian/katapult-trinity/opt/trinity/share/

## katapult-trinity 14.0.4

=== debian/changelog ===
katapult-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:10:38 +0200

=== debian/control ===
Source: katapult-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Build-Depends: cdbs (>= 0.4.46ubuntu5), debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, docbook2x, libxi-dev, sharutils, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4

Package: katapult-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: katapult-kde3 (<< 4:14.0.0~), katapult-trinity (<< 4:14.0.0~)
Breaks: katapult-kde3 (<< 4:14.0.0~), katapult-trinity (<< 4:14.0.0~)
Description: item launcher for TDE [Trinity]
 Katapult is an application, which analyses text-based queries
 to launch items, such as bookmarks, directories or programs.
 .
 The application is currently in an early stage of development but 
 the launchable item list can be extended by a plugin system, and
 the look and feel can be skinned.
 .
 Homepage:  http://katapult.kde.org/

=== debian/rules ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include debian/cdbs/kde.mk
-#include /usr/share/cdbs/1/rules/simple-patchsys.mk
+#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -28,10 +28,15 @@
 post-patches:: debian/stamp-bootstrap
 
 debian/stamp-bootstrap:
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
-		cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
+	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
 	
 	make -f admin/Makefile.common cvs
@@ -42,7 +47,7 @@
 	rm -f $(CURDIR)/debian/katapult-trinity/opt/trinity/lib/libkatapult*.la
 	dh_install $(DEB_SRCDIR)/debian/lintian opt/trinity/share/lintian/overrides/katapult
 #	dh_install $(DEB_SRCDIR)/katapult/katapult/katapult.desktop opt/trinity/share/autostart
-#	echo 'X-KDE-autostart-condition=katapultrc:General:Autostart:true' >> $(DEB_DESTDIR)/opt/trinity/share/autostart/katapult.desktop
+#	echo 'X-TDE-autostart-condition=katapultrc:General:Autostart:true' >> $(DEB_DESTDIR)/opt/trinity/share/autostart/katapult.desktop
 
 binary-install/katapult-trinity::
 	mv debian/katapult-trinity/usr/share/man debian/katapult-trinity/opt/trinity/share/

## katapult-trinity 14.0.5

=== debian/changelog ===
katapult-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:14:19 +0200

## katapult-trinity 14.0.6

=== debian/changelog ===
katapult-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 01:10:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: cdbs (>= 0.4.46ubuntu5), debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, docbook2x, libxi-dev, sharutils, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs (>= 0.4.46ubuntu5), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, libxi-dev, sharutils
 Standards-Version: 3.8.4
 
 Package: katapult-trinity

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include debian/cdbs/debian-qt-kde.mk

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON"

install/katapult-trinity::
	rm -f $(CURDIR)/debian/$(cdbs_curpkg)/opt/trinity/lib/libkatapult*.so
	rm -f $(CURDIR)/debian/$(cdbs_curpkg)/opt/trinity/lib/libkatapult*.la

## katapult-trinity 14.0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( katapult )
-set( VERSION R14.0.6 )
+set( VERSION R14.0.8 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,8 @@
 ##### directories
 
 add_subdirectory( ${PROJECT_NAME} )
-tde_conditional_add_subdirectory( BUILD_DOC doc         )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po ) 
+tde_conditional_add_subdirectory( BUILD_DOC doc )
+tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
 
 
 ##### write configure files

=== katapult/plugins/catalogs/calculatorcatalog/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,8 @@
 
 ##### other data
 
-install(
-    FILES katapult_calculatorcatalog.desktop
+tde_create_translated_desktop(
+    SOURCE katapult_calculatorcatalog.desktop
     DESTINATION ${SERVICES_INSTALL_DIR}
+    PO_DIR ${CMAKE_SOURCE_DIR}/translations/desktop_files/katapult-catalogs
 )

=== katapult/plugins/catalogs/googlecatalog/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,8 @@
 
 ##### other data
 
-install(
-    FILES katapult_googlecatalog.desktop
+tde_create_translated_desktop(
+    SOURCE katapult_googlecatalog.desktop
     DESTINATION ${SERVICES_INSTALL_DIR}
+    PO_DIR ${CMAKE_SOURCE_DIR}/translations/desktop_files/katapult-catalogs
 )

=== katapult/plugins/catalogs/programcatalog/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### katapult_programcatalog (kpart)

tde_add_kpart( katapult_programcatalog AUTOMOC

  SOURCES
         settings.ui
         programcatalog.cpp
         program.cpp
         actionrunprogram.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${PROJECT_NAME}-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE katapult_programcatalog.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR ${CMAKE_SOURCE_DIR}/translations/desktop_files/katapult-catalogs
)

=== katapult/plugins/catalogs/spellcatalog/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### katapult_spellcatalog (kpart)

tde_add_kpart( katapult_spellcatalog AUTOMOC

  SOURCES 
        settings.ui
        spellcatalog.cpp
        spelling.cpp
        actioncopyspelling.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${PROJECT_NAME}-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

tde_create_translated_desktop(
    SOURCE katapult_spellcatalog.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR ${CMAKE_SOURCE_DIR}/translations/desktop_files/katapult-catalogs
)

=== debian/changelog ===
katapult-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 11 Apr 2020 01:07:06 +0200

## katapult-trinity 14.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( katapult )
-set( VERSION R14.0.8 )
+set( VERSION R14.0.9 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
katapult-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Oct 2020 11:02:46 +0200

## katapult-trinity 14.0.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( katapult )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.10 )
 
 
 #### include essential cmake modules

=== debian/changelog ===
katapult-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: katapult-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
-Build-Depends: cdbs (>= 0.4.46ubuntu5), debhelper (>= 7.0.50~), quilt, cmake, tdelibs14-trinity-dev, libxi-dev, sharutils
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
+Build-Depends: cdbs (>= 0.4.46ubuntu5), debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, libxi-dev, sharutils
 Standards-Version: 3.8.4
 
 Package: katapult-trinity

## katapult-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 #### general package setup
 
 project( katapult )
-set( VERSION R14.0.10 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -69,8 +69,12 @@
 ##### directories
 
 add_subdirectory( ${PROJECT_NAME} )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
katapult-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 20:39:39 +0200

=== debian/control ===
Source: katapult-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, libxi-dev
Standards-Version: 3.8.4

Package: katapult-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: katapult-trinity (<< 4:14.0.0~)
Breaks: katapult-trinity (<< 4:14.0.0~)
Description: item launcher for TDE [Trinity]
 Katapult is an application, which analyses text-based queries
 to launch items, such as bookmarks, directories or programs.
 .
 The application is currently in an early stage of development but 
 the launchable item list can be extended by a plugin system, and
 the look and feel can be skinned.
 .
 Homepage:  http://katapult.kde.org/

## katapult-trinity 14.0.13

=== debian/changelog ===
katapult-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Jun 2022 05:40:47 +0200

## katapult-trinity 14.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( katapult )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -29,8 +28,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
katapult-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## katapult-trinity 14.1.1

=== debian/changelog ===
katapult-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Sep 2023 02:50:24 +0200

## katapult-trinity 14.1.2

=== debian/changelog ===
katapult-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:49 +0200

## katapult-trinity 14.1.3

=== debian/changelog ===
katapult-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 15:30:02 +0200

## katapult-trinity 14.1.4

=== debian/changelog ===
katapult-trinity (4:14.1.4-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake-trinity, ninja-build, tdelibs14-trinity-dev, libxi-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxi-dev
 Standards-Version: 3.8.4
 
 Package: katapult-trinity

## katapult-trinity 14.1.5~pre0

=== debian/changelog ===
katapult-trinity (4:14.1.5~pre0-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for ed6126bd2908cbefacf2bccf7d1b76aa43355543
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## katapult-trinity 14.1.5

=== katapult/plugins/catalogs/execcatalog/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/${PROJECT_NAME}/common
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### katapult_execcatalog (kpart)

tde_add_kpart( katapult_execcatalog AUTOMOC

  SOURCES
        settings.ui
        execcatalog.cpp
        command.cpp
        actionrun.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     ${PROJECT_NAME}-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons

tde_install_icons( )


##### other data

tde_create_translated_desktop(
    SOURCE katapult_execcatalog.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR katapult-catalogs
)

=== katapult/plugins/catalogs/spellcatalog/CMakeLists.txt ===
--- 
+++ 
@@ -42,5 +42,5 @@
 tde_create_translated_desktop(
     SOURCE katapult_spellcatalog.desktop
     DESTINATION ${SERVICES_INSTALL_DIR}
-    PO_DIR ${CMAKE_SOURCE_DIR}/translations/desktop_files/katapult-catalogs
+    PO_DIR katapult-catalogs
 )

=== katapult/plugins/display/glassdisplay/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,8 @@
 
 ##### other data
 
-install(
-    FILES katapult_glassdisplay.desktop
+tde_create_translated_desktop(
+    SOURCE katapult_glassdisplay.desktop
     DESTINATION ${SERVICES_INSTALL_DIR}
+    PO_DIR katapult-displays
 )

=== debian/changelog ===
katapult-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## katapult-trinity 14.1.6~pre0

=== debian/changelog ===
katapult-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for ed6126bd2908cbefacf2bccf7d1b76aa43355543
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## katapult-trinity 14.1.6~pre1

=== debian/changelog ===
katapult-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 66952c1f0462318ef0d34720417f587d552492a2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:03:04 +0100

## katapult-trinity 14.1.6~pre2

=== debian/changelog ===
katapult-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for edbeb9d37c2bf073720b36c6c39e85a7e140025a
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Jan 2026 22:36:36 +0100

## katapult-trinity 14.2.0~pre42

=== katapult/katapult/CMakeLists.txt ===
--- 
+++ 
@@ -43,7 +43,4 @@
 
 ##### other data
 
-install(
-    FILES ${PROJECT_NAME}.desktop
-    DESTINATION ${XDG_APPS_INSTALL_DIR}
-)
+tde_create_translated_desktop( ${PROJECT_NAME}.desktop )

=== katapult/plugins/catalogs/CMakeLists.txt ===
add_subdirectory( programcatalog    )
add_subdirectory( bookmarkcatalog   )
add_subdirectory( documentcatalog   )
add_subdirectory( calculatorcatalog )
add_subdirectory( amarokcatalog     )
add_subdirectory( spellcatalog      )
add_subdirectory( googlecatalog     )
add_subdirectory( execcatalog       )

=== katapult/plugins/catalogs/documentcatalog/CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,8 @@
 
 ##### other data
 
-install(
-    FILES katapult_documentcatalog.desktop
+tde_create_translated_desktop(
+    SOURCE katapult_documentcatalog.desktop
     DESTINATION ${SERVICES_INSTALL_DIR}
+    PO_DIR katapult-catalogs
 )

=== debian/changelog ===
katapult-trinity (4:14.2.0~pre42-0raspbian11.0.0+6) raspbian-bullseye; urgency=low

  * Automated git build for cabe8e1ddbdfcd70131fc38aafbef00c1096a279
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: tde
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxi-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libxi-dev
 Standards-Version: 3.8.4
 
 Package: katapult-trinity

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include debian/cdbs/debian-qt-kde.mk
-
-DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
-                               && echo xz || echo bzip2)
+-include /usr/share/cdbs/1/class/tde.mk
 
 DEB_CMAKE_EXTRA_FLAGS := \
+ -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
  -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
  -DCONFIG_INSTALL_DIR="/etc/trinity" \
  -DSYSCONF_INSTALL_DIR="/etc" \

## katapult-trinity 14.2.0~pre43

=== debian/changelog ===
katapult-trinity (4:14.2.0~pre43-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 6bfd3bff90764d6c7f0aad405d9c70c5f78b226b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:05:21 +0100

## katapult-trinity 14.2.0~pre45

=== debian/changelog ===
katapult-trinity (4:14.2.0~pre45-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 08ba408de01dceba440b580facf991dec09df404
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#katapult

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Jan 2026 03:49:10 +0100
